/*-------------------------------------------------------------------------+
| Copyright 2013 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.model.element.impl;

import org.fortiss.tooling.base.model.element.IModelElement;
import org.fortiss.tooling.base.model.element.IModelElementSpecification;

/**
 * Static implementation for the model elements.
 * 
 * @author eder
 */
public class IModelElementStaticImpl {

	/**
	 * Adds a {@link IModelElementSpecification} to the {@link IModelElement}
	 * 
	 * @param iModelElement
	 *            the model element
	 * @param spec
	 *            the specification
	 */
	public static void
			addSpecification(IModelElement iModelElement, IModelElementSpecification spec) {
		iModelElement.getSpecifications().add(spec);
	}
}
